+++
title = "Accueil"
insert_anchor_links = "left"
+++

<div class="service_boxes">
{{ service_box(href="https://flim.txmn.tk", title="PeerTube", img="/img/peertube.svg", img_alt="Logo PeerTube") }}
{{ service_box(href="/framadate", title="Framadate", img="/img/framadate.png", img_alt="Logo Framadate") }}
{{ service_box(href="/element", title="Matrix / Element", img="/img/element.svg", img_alt="Logo Element") }}
{{ service_box(href="https://forum.progaccess.net", title="Forum ProgAccess", img="/img/progaccess.png", img_alt="Logo ProgAccess") }}
{{ service_box(href="https://cloud.txmn.tk", title="NextCloud", img="/img/nextcloud.svg", img_alt="Logo NextCloud") }}
{{ service_box(href="/lufi", title="Lufi", img="/img/lufi.svg", img_alt="Logo Lufi") }}
{{ service_box(href="/lutim", title="Lutim", img="/img/lutim.png", img_alt="Logo Lutim") }}
{{ service_box(href="/l", title="LSTU", img="/img/lstu.svg", img_alt="Logo LSTU") }}
{{ service_box(href="https://pad.txmn.tk", title="Etherpad", img="/img/etherpad.png", img_alt="Logo Etherpad") }}
{{ service_box(href="/mumble", title="Mumble", img="/img/mumble.svg", img_alt="Logo Mumble") }}
</div>

**[Articles de blog](blog)**

## Qui est-ce&#8239;? {#qui}

* Être humain jusqu'à preuve du contraire&#8239;;
* Pascal Engélibert&#8239;;
* Développeur libriste, étudiant en mathématiques&#8239;;
* Rust, Python, PHP, web, français, anglais, espagnol, espéranto&#8239;;
* Préfère les tabulations&#8239;;
* Préfère [GNU AGPL](https://www.gnu.org/licenses/licenses.html#AGPL) et [CC BY-SA](https://creativecommons.org/licenses/by-sa/4.0/).

## Projets {#projets}

<div class="service_boxes">
{{ service_box(href="https://progaccess.net", title="ProgAccess", img="/img/progaccess.png", img_alt="Logo ProgAccess") }}
{{ service_box(href="//zettascript.org/projects/gmixer/", title="ĞMixer", img="/img/gmixer.svg", img_alt="Logo ĞMixer") }}
{{ service_box(href="https://framagit.org/ZettaScript/syeve", title="Syeve", img="/img/syeve.svg", img_alt="Logo Syeve") }}
{{ service_box(href="https://framagit.org/ZettaScript/forceatlas2-rs", title="ForceAtlas2-rs", img="/img/forceatlas2.png", img_alt="Graphe") }}
{{ service_box(href="//worldwotmap.duniter.org", title="WorldWotMap", img="/img/gbreve.svg", img_alt="Ğ") }}
</div>

### Projets créés ou cocréés {#projets2}

* [ProgAccess](https://www.progaccess.net) et les sites [NVDA-FR](https://www.nvda-fr.org), [AccessiKey](https://accessikey.nvda-fr.org), pour rendre l'informatique accessible aux mal ou non voyant·es
* [ĞMixer](//zettascript.org/projects/gmixer/), pour anonymiser vos transactions de cryptomonnaie à travers un réseau en oignons
* [WorldWotMap](//worldwotmap.duniter.org), pour voir la carte géographique d'une Toile de Confiance Duniter
* [ForceAtlas2-rs](https://framagit.org/ZettaScript/forceatlas2-rs), implémentation de l'algo de positionnement de graphe ForceAtlas2 en Rust
* [Ğ1force](https://git.duniter.org/tools/g1force), outil de bruteforce Scrypt+Ed25519 en Rust
* [Syeve](https://framagit.org/ZettaScript/syeve) (Simple yet efficient video encoding), codec lossless en Rust
* [matrix_bridge](https://git.p2p.legal/tuxmain/minetest-matrix_bridge), mod Minetest pour l'interaction avec Matrix
* [ğexplore](https://git.duniter.org/tools/gexplore), un explorateur en 3D de toile de confiance Duniter
* [Téléphone Jukebox](https://git.txmn.tk/tuxmain/telephone-jukebox), un téléphone à cadran jouant des sons

### Contributions {#contributions}

* [Monnaie Libre](https://monnaie-libre.fr)&nbsp;: contributions éparses et variées
* [Wotmap](https://wotmap.duniter.org), représenter le graphe d'une toile de confiance Duniter (développement du backend)
* [Duniter](https://git.duniter.org/nodes/rust/duniter-v2s), blockchain pour monnaie libre (Rust)

### Micro-contributions {#micro-contributions}

* GParted&nbsp;: [accessibilité aux lecteurs d'écran](https://gitlab.gnome.org/GNOME/gparted/-/commit/f31fbb986fab551a4db8c05e9a45720b35bc5385)
* Tera&nbsp;: [support de la langue pour le filtre `date`](https://github.com/Keats/tera/pull/742)

### Bidouillages en cours {#bidouillages}

* [Bras articulé CNC modulaire imprimé en 3D, contrôlé par Arduino](https://framagit.org/ZettaScript/cnc-arm)
* [Imprimante thermique LASER Arduino](https://framagit.org/ZettaScript/laserprinter) (pour imprimer sur papier sans consommer d'encre)
* Système super-modulaire de visioconférence/stream/live en Rust
* Convertisseur audio vers MIDI

## Services {#services}

* [NextCloud](https://cloud.txmn.tk) à louer en Ğ1 ([plus d'infos](https://www.gchange.fr/#/app/market/view/AW6aQfpXzeWXAkHvSFwJ/compte-nextcloud-stockage-de-fichiers))
* 🗓 [Framadate](/framadate)
* 🎞 [PeerTube Flim](https://flim.txmn.tk)
* 🎧 Serveur Mumble public&nbsp;: `txmn.tk:64738` &#8211; [Interface Mumble web](/mumble)
* 🎮 [Juneland](https://juneland.fr)&nbsp;: serveurs MineTest pour la monnaie libre
* 🏷 [Viğnette](/g1/vignette) à imprimer pour vos ğmarchés
* [Forum ProgAccess](https://forum.progaccess.net)&nbsp;: entraide pour l'accessibilité de l'informatique
* 📁 [Lufi](/lufi)&nbsp;: envoi de fichiers gratuit jusqu'à 2Go
* 📷 [Lutim](/lutim)&nbsp;: envoi d'images gratuit jusqu'à 10Mo (pratique pour les forums)
* 🗩 [Serveur Matrix](/element)&nbsp;: Messagerie instantanée fédérée Matrix (interface Element, chiffrement de bout-en-bout, groupes, etc.)
* [Ğ.ML](//xn--tea.ml)&nbsp;: sous-domaines gratuits pour la monnaie libre
* Serveur STUN public&nbsp;: `stun:txmn.tk:3478`
* [Historique des données géographiques Cesium+ de la Ğ1](/g1/history/cesiumplusmap)
* Hébergement/installation de site/blog/boutique Odoo, WordPress, ou autres. Payable en Ğ1, me contacter par e-mail.
* 🗒 [Etherpad](https://pad.txmn.tk)&nbsp;: document partagé de prise de notes en temps réel

## Héberge aussi {#heberge}

<div class="service_boxes">
{{ service_box(href="//dubitaristes.fr", title="Les Dubitaristes Girondins", img="/img/dubitaristes.png", img_alt="Logo Dubitaristes") }}
{{ service_box(href="https://collectifsources.fr", title="Collectif Sources", img="/img/collectifsources.png", img_alt="Logo Collectif Sources") }}
{{ service_box(href="//juneland.fr", title="Juneland", img="/img/minetest.svg", img_alt="Logo MineTest") }}
</div>

## Les camarades {#camarades}

* [Librezo](https://librezo.com) aide les pros à se libérer des GAFAM en installant chez vous votre infrastructure informatique.

## Contacts {#contacts}

* Courrier électronique&nbsp;: `t chez txmn point tk` _ou_ `tuxmain chez zettascript point org`
* [Clé publique GPG](/tuxmain.asc)
* <a rel="author" href="https://toot.aquilenet.fr/@tuxmain">Mastodon</a>
* [Formulaire de contact ZettaScript](//zettascript.org/contact.php)
* [Monnaie Libre Ğ1](https://demo.cesium.app/#/app/wot/45GfjkWCWQhJ3epJVGC2NSg1Rcu4Ue1vDD3kk9eLs5TQ/) (clé publique&nbsp;: `45GfjkWCWQhJ3epJVGC2NSg1Rcu4Ue1vDD3kk9eLs5TQ:CUw`)
* [GitLab Framagit](https://framagit.org/ZettaScript) (projets en général)
* [GitLab Duniter](https://git.duniter.org/tuxmain) (projets pour la monnaie libre)
* [Gitea P2P.legal](https://git.p2p.legal/tuxmain) (autres projets pour la monnaie libre)
* [Gitea JSB](https://gitea.jeunes-science.asso.fr/tuxmain) (projets [Jeunes-Science Bordeaux](https://jeunes-science.asso.fr))
* [Gitxmn](https://git.txmn.tk/tuxmain) (petits projets que je ne savais pas où mettre)
* [GitLab Gnome](https://gitlab.gnome.org/tuxmain)
* [GitHub](https://github.com/ZettaScript) (déprécié, conservé pour la rétrocompatibilité seulement)

<a href="https://liberapay.com/tuxmain/donate" title="Donner avec Liberapay"><img alt="Donner avec Liberapay" src="/img/liberapay-donate.svg"/></a>

## À propos {#a-propos}

🦀 Site généré avec [zola](https://www.getzola.org/).

🧮 Hébergé sur un Raspberry Pi à Bègles, près de Bordeaux, en France.

📜 Ce site est mis à disposition selon les termes de la licence <a rel="license" href="//creativecommons.org/licenses/by-sa/4.0/">CC BY-SA 4.0</a>. ([Code source](https://git.txmn.tk/tuxmain/website)) [CGU](@/eula.fr.md)
