+++
title = "Home"
insert_anchor_links = "left"
+++

<div class="service_boxes">
{{ service_box(href="https://flim.txmn.tk", title="PeerTube", img="/img/peertube.svg", img_alt="Logo PeerTube") }}
{{ service_box(href="/framadate", title="Framadate", img="/img/framadate.png", img_alt="Logo Framadate") }}
{{ service_box(href="/element", title="Matrix / Element", img="/img/element.svg", img_alt="Logo Element") }}
{{ service_box(href="https://forum.progaccess.net", title="Forum ProgAccess", img="/img/progaccess.png", img_alt="Logo ProgAccess") }}
{{ service_box(href="https://cloud.txmn.tk", title="NextCloud", img="/img/nextcloud.svg", img_alt="Logo NextCloud") }}
{{ service_box(href="/lufi", title="Lufi", img="/img/lufi.svg", img_alt="Logo Lufi") }}
{{ service_box(href="/lutim", title="Lutim", img="/img/lutim.png", img_alt="Logo Lutim") }}
{{ service_box(href="/l", title="LSTU", img="/img/lstu.svg", img_alt="Logo LSTU") }}
{{ service_box(href="https://pad.txmn.tk", title="Etherpad", img="/img/etherpad.png", img_alt="Logo Etherpad") }}
{{ service_box(href="/mumble", title="Mumble", img="/img/mumble.svg", img_alt="Logo Mumble") }}
</div>

**[Blog articles](blog)**

## Who is that? {#who}

* Human being until proven otherwise;
* Pascal Engélibert;
* Libre developper, student of mathematics;
* Rust, Python, PHP, web, French, English, Spanish, Esperanto;
* Prefers tabulations;
* Prefers [GNU AGPL](https://www.gnu.org/licenses/licenses.html#AGPL) and [CC BY-SA](https://creativecommons.org/licenses/by-sa/4.0/).

## Projects {#projects}

<div class="service_boxes">
{{ service_box(href="https://progaccess.net", title="ProgAccess", img="/img/progaccess.png", img_alt="Logo ProgAccess") }}
{{ service_box(href="//zettascript.org/projects/gmixer/", title="ĞMixer", img="/img/gmixer.svg", img_alt="Logo ĞMixer") }}
{{ service_box(href="https://framagit.org/ZettaScript/syeve", title="Syeve", img="/img/syeve.svg", img_alt="Logo Syeve") }}
{{ service_box(href="https://framagit.org/ZettaScript/forceatlas2-rs", title="ForceAtlas2-rs", img="/img/forceatlas2.png", img_alt="Graph") }}
{{ service_box(href="//worldwotmap.duniter.org", title="WorldWotMap", img="/img/gbreve.svg", img_alt="Ğ") }}
</div>

### Projects created or cocreated {#projects2}

* [ProgAccess](https://www.progaccess.net) and the sites [NVDA-FR](https://www.nvda-fr.org), [AccessiKey](https://accessikey.nvda-fr.org), to make computers accessible to the visually impaired
* [ĞMixer](//zettascript.org/projects/gmixer/), to anonymize your cryptocurrency transactions through an onion network
* [WorldWotMap](//worldwotmap.duniter.org), a geographical map of a Duniter web of trust
* [ForceAtlas2-rs](https://framagit.org/ZettaScript/forceatlas2-rs), implementation of the graph layout ForceAtlas2 in Rust
* [Ğ1force](https://git.duniter.org/tools/g1force), Scrypt+Ed25519 bruteforce tool in Rust
* [Syeve](https://framagit.org/ZettaScript/syeve) (Simple yet efficient video encoding), lossless codec in Rust
* [matrix_bridge](https://git.p2p.legal/tuxmain/minetest-matrix_bridge), Minetest mod for Matrix messaging interaction
* [ğexplore](https://git.duniter.org/tools/gexplore), a 3D web of trust history explorer for Duniter
* [Jukebox Telephone](https://git.txmn.tk/tuxmain/telephone-jukebox), a dial phone that plays sounds

### Contributions {#contributions}

* [Libre Currency](https://monnaie-libre.fr): sparse and various contributions
* [Wotmap](https://wotmap.duniter.org), represent the graph of a Duniter web of trust (backend development)
* [Duniter](https://git.duniter.org/nodes/rust/duniter-v2s), blockchain for libre currency (Rust)

### Micro-contributions {#micro-contributions}

* GParted: [screen reader accessibility](https://gitlab.gnome.org/GNOME/gparted/-/commit/f31fbb986fab551a4db8c05e9a45720b35bc5385)
* Tera: [`date` filter supports localization](https://github.com/Keats/tera/pull/742)

### WiP Hacks {#hacks}

* [Modular articulated arm CNC, 3D-printed, controled by Arduino](https://framagit.org/ZettaScript/cnc-arm)
* [LASER thermal printer with Arduino](https://framagit.org/ZettaScript/laserprinter) (for printing on paper without consuming ink)
* Super-modular visioconference/stream/live system in Rust
* Audio to MIDI converter

## Services {#services}

* [NextCloud](https://cloud.txmn.tk) to rent in Ğ1 ([more info](https://www.gchange.fr/#/app/market/view/AW6aQfpXzeWXAkHvSFwJ/compte-nextcloud-stockage-de-fichiers))
* 🗓 [Framadate](/framadate)
* 🎞 [PeerTube Flim](https://flim.txmn.tk)
* 🎧 Public Mumble server: `txmn.tk:64738` &#8211; [Mumble web interface](/mumble)
* 🎮 [Juneland](https://juneland.fr): MineTest servers for the libre currency
* 🏷 [Viğnette](/g1/vignette) to print labels for your ğmarkets
* [Forum ProgAccess](https://forum.progaccess.net): mutual aid for computer accessibility
* 📁 [Lufi](/lufi): free file sharing up to 2GB
* 📷 [Lutim](/lutim): free image sharing up to 10MB (convenient for forums)
* 🗩 [Matrix server](/element): Federated instant messaging Matrix (Element interface, end-to-end encryption, groups, etc.)
* [Ğ.ML](//xn--tea.ml): free subdomains for the libre currency
* Public STUN server: `stun:txmn.tk:3478`
* [Cesium+ geographical data history of Ğ1](/g1/history/cesiumplusmap)
* Hosting/installation of site/blog/shop Odoo, WordPress, or other. Paid in Ğ1, contact me by email.
* 🗒 [Etherpad](https://pad.txmn.tk): Real time shared document for note taking

## Also hosting {#host}

<div class="service_boxes">
{{ service_box(href="//dubitaristes.fr", title="Les Dubitaristes Girondins", img="/img/dubitaristes.png", img_alt="Logo Dubitaristes") }}
{{ service_box(href="https://collectifsources.fr", title="Collectif Sources", img="/img/collectifsources.png", img_alt="Logo Collectif Sources") }}
{{ service_box(href="//juneland.fr", title="Juneland", img="/img/minetest.svg", img_alt="Logo MineTest") }}
</div>

## The camarades {#camarades}

* [Librezo](https://librezo.com) helps the professionals to liberate themselves from the GAFAM by installing your own computing services.

## Contacts {#contacts}

* Electronic missive: `t åt txmn døt tk` _or_ `tuxmain åt zettascript døt org`
* [GPG public key](/tuxmain.asc)
* <a rel="author" href="https://toot.aquilenet.fr/@tuxmain">Mastodon</a>
* [ZettaScript contact form](//zettascript.org/contact.php)
* [Libre Currency Ğ1](https://demo.cesium.app/#/app/wot/45GfjkWCWQhJ3epJVGC2NSg1Rcu4Ue1vDD3kk9eLs5TQ/) (pubkey: `45GfjkWCWQhJ3epJVGC2NSg1Rcu4Ue1vDD3kk9eLs5TQ:CUw`)
* [GitLab Framagit](https://framagit.org/ZettaScript) (projects in general)
* [GitLab Duniter](https://git.duniter.org/tuxmain) (projects about libre currency)
* [Gitea P2P.legal](https://git.p2p.legal/tuxmain) (also projects about libre currency)
* [Gitea JSB](https://gitea.jeunes-science.asso.fr/tuxmain) (projects about [Jeunes-Science Bordeaux](https://jeunes-science.asso.fr))
* [Gitxmn](https://git.txmn.tk/tuxmain) (small projects I didn't know where to publish)
* [GitLab Gnome](https://gitlab.gnome.org/tuxmain)
* [GitHub](https://github.com/ZettaScript) (deprecated, used for backward compatibility only)

<a href="https://liberapay.com/tuxmain/donate" title="Donate with Liberapay"><img alt="Donate with Liberapay" src="/img/liberapay-donate.svg"/></a>

## About {#about}

🦀 Site generated with [zola](https://www.getzola.org/).

🧮 Hosted on a Raspberry Pi in Bègles, near Bordeaux, France.

📜 This website is published under the terms of the <a rel="license" href="//creativecommons.org/licenses/by-sa/4.0/">CC BY-SA 4.0</a> license. ([Source code](https://git.txmn.tk/tuxmain/website)) ([EULA](@/eula.md))

<a class="hidden" href="/admin">admin</a>
