+++
title = "Conseils de lectures"
date = 2022-09-24
description = "Livres et articles que vous devriez lire."
draft = true
[taxonomies]
tags = ["lecture"]
+++

Les titres marqués d'une étoile ✪ sont à lire absolument&#8239;!

## Politique {#politique}

### ✪ Cause commune

Essai de Philippe Aigrain, 2005-02-02, chez Fayard. [fiche de l'éditeur](https://www.fayard.fr/documents-temoignages/cause-commune-9782213623054)

L'histoire de l'information est à la fois celle des communs informationnels que représentent entre autres les standards ouverts d'Internet, les logiciels libres, la science ouverte et les encyclopédies collaboratives&#8239;; et celle du capitalisme informationnel, armé du copyright, des brevets, de moyens techniques, juridiques et policiers de contrôle de l'information et de la communication. Ce livre retrace cette histoire, en montrant comment ces deux mondes antagonistes ont émergé d'une cause commune, comment le capitalisme informationnel est fondamentalement différent de celui d'avant, et en quoi l'analyse traditionnelle du capitalisme est aujourd'hui insuffisante.

Même s'il date de 2005, il reste tout à fait actuel.

### ✪ Bifurquer avant l'impact&nbsp;: l'impasse du capitalisme de surveillance

Article de Christophe Masutti (Framatophe), 2022-08-29, sur le Framablog. [lire l'article](https://framablog.org/2022/08/29/bifurquer-avant-limpact-limpasse-du-capitalisme-de-surveillance/)

Inscrire le capitalisme dans une histoire plus large.

### ✪ Bullshit jobs

Essai de David Graeber

### ✪ 1984

### ✪ Un monde sans copyright... et sans monopole

### Karl Marx, le retour

### Le gang de la clé à molette


## Esprit critique

### Radieux

Recueil de nouvelles de Greg Egan.

Ces nouvelles de science-fiction sont d'une remarquable cohérence et témoignent d'une documentation importante de l'auteur. En voici quelques-unes qui devraient vous parler si l'esprit critique vous intéresse.

#### L'Ève mitochondriale

De nouvelles méthodes de séquençage génétique permettent de retracer précisément la généalogie des individus, ce qui provoque des conflits entre les Enfants d'Ève, partisans de l'hypothèse de l'Ève mitochondriale selon laquelle l'humanité entière partagerait des ancêtres communs femelles très récents, et donc que nous serions tous frères et sœurs&#8239;; et les Enfants d'Adam, partisans de l'hypothèse de derniers ancêtres communs mâles assez anciens, après lequels l'humanité se serait découpée en races.

#### Radieux

Des chercheurs découvrent que la vérité est créée par l'action même de l'expérimenter&nbsp;: le résultat d'un calcul n'existe pas avant d'être calculé, mais une fois calculé il devient fixé tel une loi de l'Univers. À l'aide d'un supercalculateur, les scientifiques arrivent à créer et à explorer une discontinuité dans cet espace, une vérité parallèle, cohérente avec elle-même mais incompatible avec la nôtre. Concurrencés par l'empire d'Industrial Algebra, ils doivent choisir entre stabiliser cette discontinuité d'une valeur scientifique inestimable, et la détruire à jamais afin d'empêcher sa récupération par l'entreprise qui cherche à l'exploiter pour son intérêt propre.

Ceci est une vraie hypothèse en physique, celle de l'Univers aux lois incomplètes, qui se définirait progressivement tant que nécessaire, d'une manière à rester cohérent. [Voir la vidéo de PBS Space Time.](https://invidious.namazso.eu/watch?v=I8p1yqnuk8Y)

Ça me fait aussi penser aux [algorithmes d'effondrement de la fonction d'onde](https://github.com/mxgmn/WaveFunctionCollapse) pour la génération procédurale.

#### Monsieur Volition

Un voleur d'implants neuronaux en bidouille un, ce qui lui permet de voir une représentation directe de l'activité de son cerveau. Il expérimente alors, pour remonter à la cause première de la volonté, trouver ce qu'est réellement le libre arbitre, où il se manifeste dans le monde physique apparemment déterministe.

#### Rêves de transition

Les êtres humains peuvent choisir de transférer (de leur vivant) leur esprit dans des corps robotiques. Au cours de la transition, l'état du cerveau n'étant pas encore cohérent dans l'ordinateur, et l'ancien cerveau biologique étant progressivement détruit, des rêves de transition peuvent se produire. 

#### Des raisons d'être heureux

### Trois hommes dans un bateau

Roman

### L'Œuvre au Noir


## Mathématiques

### Logicomix

